Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1031 - CGI programs don't work
Summary: CGI programs don't work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Secure Web Server
Classification: Retired
Component: secureweb
Version: 2.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-03 01:25 UTC by mcornick
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-16 18:50:09 UTC


Attachments (Terms of Use)

Description mcornick 1999-02-03 01:25:08 UTC
CGI programs which live in /home/httpd/cgi-bin and are run
via http://my.server.name/cgi-bin/xxxxxxx fail. Every
attempt produces a 500 Internal Server Error, "Premature end
of script headers". I have checked this with anlgform.cgi
(part of the analog package), cachemgr.cgi (part of the
squid package), htsearch (part of the htdig package) and a
few scripts of my own writing; everything fails. The
behavior is the same on both the secure and unsecure ports.
This is with the standard secureweb conf files; the only
changes I have made are to enable mod_php3 and mod_perl. I
am using secureweb-2.0-2libc6 on Red Hat 5.2.

Comment 1 mcornick 1999-02-03 20:55:59 UTC
to clarify: in http://my.server.name/cgi-bin/xxxxxxx, "xxxxxxx" is the
name of the CGI program. Sorry if this was unclear.

Comment 2 mcornick 1999-02-06 16:19:59 UTC
Hmmm... CGI stuff runs OK if I disable mod_perl. I can use one or the
other, but not both.

When mod_perl is enabled, I get errors such as this in
/var/log/httpd/error_log:

[Sat Feb  6 11:11:09 1999] [notice] Red Hat Secure/2.0 (Unix)
mod_perl/1.16 PHP/3.0.5 mod_ssl/2.0.15 SSLeay/0.9.0b configured --
resuming normal operations
[Sat Feb  6 11:11:09 1999] [notice] httpsd: child pid 22249 exit
signal Segmentation fault (11)

which don't show up if mod_perl is disabled.

Comment 3 Preston Brown 1999-08-16 18:50:59 UTC
Get the updated mod_perl and perl RPMs for Red Hat Linux 5.2 and/or
Secure Web Server 2.0, this will solve your problem.


Note You need to log in before you can comment on or make changes to this bug.